/*
Theme Name: Betheme Child
Theme URI: https://themes.muffingroup.com/betheme
Template: betheme
Description: Child Theme for Betheme
*/

/*
COLORS:
- : #
- modrunkava: #6b7db8
*/

::-moz-selection { background: #6b7db8; }
::selection { background: #6b7db8; }

::-webkit-scrollbar {
    width: 12px;
    height: 35px;
    padding-left: 10px;
}
::-webkit-scrollbar-thumb {
    background-color: #6b7db8;
}
::-webkit-scrollbar-corner {
    background-color: #6b7db8;
}
::-webkit-scrollbar-thumb {
    height: 50px;
}

/* fix pre subheader background, kde nie je zobrazeny */
body:not(.template-slider) #Header {
    min-height: 0;
}

.grecaptcha-badge { 
    visibility: hidden !important;
}

#back_to_top {
	background-color: #6b7db8;
}
#back_to_top i {
	color: #FFFFFF;
}
#Footer .footer_copy .one {
    margin-bottom: 0px;
    padding-top: 10px;
    min-height: 25px;
    font-size: 14px;
}
#Footer .footer_copy .one .mcb-column-inner {
	margin-bottom: 0;
}

/** FORMULARE **/
body:not(.cf7p-message) .wpcf7-not-valid-tip:before,
body:not(.cf7p-message) .wpcf7-not-valid-tip {
	background-color: #af6d68;
}
.acceptance-container {
    text-align: center;
    line-height: 1.4;
    margin-bottom: 1rem;
}
form.wpcf7-form .column > p {
	font-size: 12px;
	line-height: 18px;
	text-align: center;
}

.acceptance-container .checkbox .wpcf7-list-item {
    margin: 0 10px 0 0;
}
.acceptance-container .wpcf7-form-control-wrap {
    display: inline!important;
}
.captcha-notice {
	text-align: center;
	font-size: 12px;
	margin-top: -12px;
}
.wpcf7 input[type="submit"] {
    width: 260px;
    margin: 0 auto;
    display: block;
	color: #FFF;
	text-transform: uppercase;
}
.wpcf7 p {
	margin-bottom: 0;
}
.wpcf7-response-output {
	text-align: center;
}
.wpcf7-not-valid-tip {
    background-color: #5f73af!important;
}
.wpcf7-not-valid-tip:before {
    background-color: #5f73af!important;
}
.wpcf7-list-item {
    display: inline-block;
    margin: 0 0 -8px 1em;
}

/* Hide the default checkbox */
input[type="checkbox"] {
	appearance: none; /* Reset browser styling */
	-webkit-appearance: none;
	width: 24px; /* Larger size for better usability */
	height: 23px;
	border: 2px solid #555; /* Visible border */
	border-radius: 4px; /* Optional: rounded corners */
	background-color: #fff; /* Background color */
	cursor: pointer;	
	display: flex;
	justify-content: center;
	align-items: center;
}
/* Checked state styling */
input[type="checkbox"]:checked {
	background-color: #18456d; /* Highlighted color */
	border-color: #18456d;
}

/* Add a checkmark when checked */
input[type="checkbox"]:checked::before {
	content: '✔'; /* Checkmark symbol */
	color: #fff;
	font-size: 16px;
}
/* Hover effect */
input[type="checkbox"]:hover {
	border-color: #897765;
}

[data-widget_type="google_maps.default"] iframe {
	filter: saturate(0) sepia(0.25) hue-rotate(200deg) !important;
}

/* COOKIE BUTTONS: colors & positions fix */
#moove_gdpr_cookie_info_bar > .moove-gdpr-info-bar-container {
	padding: 20px 40px 30px!important;
	max-width: 1300px;
}
#moove_gdpr_cookie_info_bar button,
button.moove-gdpr-tab-nav,
button.mgbutton {
	background-color: transparent!important;
	border: 2px solid #6b7db8!important;
	color: #6b7db8 !important;
	border-style: solid!important;
	border-radius: 3px!important;
	padding: 10px 20px!important;
	box-shadow: none!important;
	opacity: 1!important;
}
#moove_gdpr_cookie_info_bar button:hover,
button.moove-gdpr-tab-nav:hover,
button.mgbutton:hover,
.menu-item-selected > button.moove-gdpr-tab-nav {
	background-color: #18456d!important;
	color: #FFF!important;
}
.gdpr-icon.moovegdpr-arrow-close::before,
.gdpr-icon.moovegdpr-arrow-close::after {
	width: 2px!important;
}
#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn i.moovegdpr-arrow-close:after, 
#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn i.moovegdpr-arrow-close:before {
	color: #6b7db8!important;
}
#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme {
    border-top: 1px solid #18456d;
}
#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn:hover i.moovegdpr-arrow-close:after, 
#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn:hover i.moovegdpr-arrow-close:before {
	color: #FFF!important;
}
#moove_gdpr_cookie_info_bar button.moove-gdpr-infobar-close-btn {
	padding: 0!important;
    height: 44px;
    line-height: 44px;
    width: 50px;
}
@media only screen and (max-width: 767px) {
	#Top_bar #logo img.svg {
    width: 140px!important;
		padding-top: 10px;
}
	#moove_gdpr_cookie_info_bar {    
		max-height: 460px!important;
		padding-top: 15px;
	}
	#moove_gdpr_cookie_modal .moove-gdpr-modal-content .moove-gdpr-company-logo-holder img {
		margin: 0 auto;
		display: block;
	}
	#moove_gdpr_cookie_modal .moove-gdpr-modal-content.logo-position-left .moove-gdpr-company-logo-holder {
		text-align: center!important;
	}
	#moove_gdpr_cookie_modal .moove-gdpr-modal-content .moove-gdpr-modal-left-content { 
		height: 155px!important; 
	}
	#moove_gdpr_cookie_modal .moove-gdpr-modal-content .moove-gdpr-tab-main .moove-gdpr-status-bar {
		margin-bottom: 40px!important;
	}
}
#Top_bar.is-sticky {
    background-color: #ffffff;
    box-shadow: 0px 7px 10px 0px #EFEFEF!important;
}

#Top_bar #logo img.svg {
    width: 240px;
}
#Top_bar.is-sticky #logo img.svg {
    width: 150px;
    padding-top: 0px;
    padding-bottom: 4px;
}

